Package com.sas.lsaf.query

## Enum Column.Type

- java.lang.Object
- - java.lang.Enum<Column.Type>
  - - com.sas.lsaf.query.Column.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Column.Type>`
  Enclosing class:
    Column

      public static enum Column.Type
      extends java.lang.Enum<Column.Type>

  The type of column to query.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` | The data type for the column is a boolean.
    `DATE` | The data type for the column is a date.
    `ENUM` | The data type for the column is an enumeration of ordinal values.
    `INTEGER` | The data type for the column is an integer.
    `LONG` | The data type for the column is a long.
    `STRING` | The data type for the column is a string.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Column.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Column.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final Column.Type BOOLEAN

      The data type for the column is a boolean.

    - #### STRING

          public static final Column.Type STRING

      The data type for the column is a string.

    - #### LONG

          public static final Column.Type LONG

      The data type for the column is a long. This numeric value can be any valid `long` value between -263 and 263-1.

    - #### INTEGER

          public static final Column.Type INTEGER

      The data type for the column is an integer.

    - #### DATE

          public static final Column.Type DATE

      The data type for the column is a date. For a column of this type, the value must be a long.

    - #### ENUM

          public static final Column.Type ENUM

      The data type for the column is an enumeration of ordinal values.

  - ### Method Detail

    - #### values

          public static Column.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Column.Type c : Column.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Column.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null